Usersv1Admin
Invite internal user
Invite internal platform user with role assignment (requires Internal role + Create permission on users). The invited user's stored mfa_mode is seeded from auth.internal_invite.mfa_mode in the auth app-config module (totp, email, or phone).
POST
/v1/users/admin/inviteAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/users/admin/invite" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "first_name": "string", "last_name": "string" }'{
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"email": "user@example.com",
"status": "pending_activation",
"invite_sent_at": "2019-08-24T14:15:22Z",
"invite_expires_at": "2019-08-24T14:15:22Z"
}{
"code": "users_m.invalid_user_input",
"message": "Invalid user input data"
}{
"code": "users_m.insufficient_permissions",
"message": "You do not have permission to perform this action"
}{
"code": "users_m.user_already_exists",
"message": "User with this email already exists"
}